This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit bff8b87ef05b62f223e26bbd965d040698cdd224
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 13:41:54 2015 +0200
Add check that HEAD maps to something meaningful upstream
Change-Id: I2b82e9698e2e0fbc06990ca1d7608ecd3b0e93da
---
config/bench/fs/makefs.sh | 10 ++++++++++
1 file changed, 10 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2c27503..2e87bc0 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -3,6 +3,16 @@ set -e
set -u
set -o pipefail
+#Check that we are in a clean state w.r.t. source control
+#Required to guarantee that the hash is valid
+if git status -sb --porcelain | head -n1 | grep -q '\]$'; then
+ echo "Committed state out of sync with upstream" >&2
+ exit 1
+elif test x"`git status -sb --porcelain | sed 1d`" != x; then
+ echo "Repository has local changes" >&2
+ exit 1
+fi
+
#All of these variables MUST be defined and non-empty
export stamp=20150607T041354Z
export suite=jessie
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 9d1ad559db724a7c03f1b5c3622ca4025eee9db3
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 14:03:12 2015 +0200
Run second-stage for foreign chroots
Change-Id: I4b00aae017377562a3d50d2ce4d17094eb93d8f0
---
config/bench/fs/makefs.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 2e87bc0..02df1d8 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -68,6 +68,12 @@ function genrootfs {
${foreign:-} \
"${suite}" "${outdir}" \
http://snapshot.debian.org/archive/debian/${stamp}
+
+ #This depends on the relevant kernel magic being in place to execute
+ #arm/aarch64 code on qemu, and the relevant qemu being installed
+ if test x"${foreign:-}" != x; then
+ sudo /usr/bin/debootstrap --second-stage --second-stage-target="${outdir}"
+ fi
}
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 2a863949af79f3f0d42a766a8a4f1085656279be
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:21:13 2015 +0200
Add some comments
Change-Id: Ib141f404240910da8ebf9829a8680f8ee93c4dc1
---
config/bench/fs/makefs.sh | 3 +++
1 file changed, 3 insertions(+)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 4f0827b..acafa4f 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -54,6 +54,8 @@ function derivevars {
echo "${tarball} already exists" >&2
exit 1
fi
+
+ #Assumes host machine is x86_64
if test x"${arch}" = "xx86-64"; then
foreign=
else
@@ -85,6 +87,7 @@ function genrootfs {
#This depends on the relevant kernel magic being in place to execute
#arm/aarch64 code on qemu, and the relevant qemu being installed
+ #Debian: apt-get install binfmt-support qemu-user-static
if test x"${foreign:-}" != x; then
sudo /usr/bin/debootstrap --second-stage --second-stage-target="${outdir}"
fi
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/fs
in repository toolchain/abe.
discards 26e131b Add some comments
discards 16ecc12 Allow selection of what to produce
discards 0ecbaab Run second-stage for foreign chroots
discards 9c24d76 Add check that HEAD maps to something meaningful upstream
discards 1bc3e25 Introduce script to build filesystems
discards db23354 Create a file to signal targets to end LAVA session
adds 902b8eb Create a file to signal targets to end LAVA session
new f7327ee Introduce script to build filesystems
new bff8b87 Add check that HEAD maps to something meaningful upstream
new 9d1ad55 Run second-stage for foreign chroots
new 6a8b708 Allow selection of what to produce
new 2a86394 Add some comments
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (26e131b)
\
N -- N -- N refs/heads/bernie/fs (2a86394)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 5 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/target-session | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/fs
in repository toolchain/abe.
commit 6a8b708ce3423dbd74322683fc35dcc97ef14627
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Wed Jul 29 16:20:29 2015 +0200
Allow selection of what to produce
The tarball, the chroot or (by default) both.
Change-Id: I9e75219a5a87b2a64ddd7f10ac3faa3da2ae3273
---
config/bench/fs/makefs.sh | 28 +++++++++++++++++++++-------
1 file changed, 21 insertions(+), 7 deletions(-)
diff --git a/config/bench/fs/makefs.sh b/config/bench/fs/makefs.sh
index 02df1d8..4f0827b 100755
--- a/config/bench/fs/makefs.sh
+++ b/config/bench/fs/makefs.sh
@@ -25,19 +25,32 @@ if test $? -ne 0; then
exit 1
fi
-export nosudo=${1:-}
+make_tarball=1 #create a tarball?
+make_chroot=1 #create a chroot (from the tarball)?
+while getopts TC flag; do
+ case "${flag}" in
+ T) make_tarball=0;;
+ C) make_chroot=0;;
+ esac
+done
function derivevars {
echo ${arch:?Must give arch} > /dev/null
echo ${label:?Must give label} > /dev/null
extras="${include}${extras:+,${extras}}"
outdir="${label}-${suite}-${variant:+${variant}-}${arch}-${stamp}-${hash}"
- tarball="${outdir}.tar.gz"
- if test -e "${outdir}"; then
- echo "${outdir} already exists" >&2
- exit 1
+ tarball="${outdir}.tgz" #debootstrap insists on .tar or .tgz
+ if test ${make_tarball} -ne 0; then
+ if test -e "${outdir}"; then
+ echo "${outdir} already exists" >&2
+ exit 1
+ fi
+ if ! test -e ${tarball}; then
+ echo "${tarball} does not exist, cannot generate chroot" >&2
+ exit 1
+ fi
fi
- if test -e "${tarball}"; then
+ if test ${make_tarball} -ne 0 && test -e "${tarball}"; then
echo "${tarball} already exists" >&2
exit 1
fi
@@ -49,6 +62,7 @@ function derivevars {
}
function gentar {
+ if ${make_tarball} -eq 0; then return 0; fi
/usr/sbin/debootstrap --make-tarball="${tarball}" \
${variant:+--variant="${variant}"} \
--include="${extras}" \
@@ -57,7 +71,7 @@ function gentar {
}
function genrootfs {
- if test x"${nosudo}" != x; then return 0; fi
+ if ${make_chroot} -eq 0; then return 0; fi
#This command sets a mirror just in case we need to get anything
#from the net - but, IIUC, it should not be used.
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
omits db23354 Create a file to signal targets to end LAVA session
new 902b8eb Create a file to signal targets to end LAVA session
This update added new revisions after undoing existing revisions.
That is to say, some revisions that were in the old version of the
branch are not in the new version. This situation occurs
when a user --force pushes a change and generates a repository
containing something like this:
* -- * -- B -- O -- O -- O (db23354)
\
N -- N -- N refs/heads/bernie/benchmarking (902b8eb)
You should already have received notification emails for all of the O
revisions, and so the following emails describe only the N revisions
from the common base, B.
Any revisions marked "omits" are not gone; other references still
refer to them. Any revisions marked "discards" are gone forever.
The 1 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/target-session | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from 236ea32 2015-07-29 Richard Biener <rguenther(a)suse.de>
new 042f02d [AArch64 Testsuite] vld1-vst1_1.c: Add missing float32x4_t case
new 1ee54bd [AArch64 Testsuite] vld1_lane.c: Remove unused test data
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 9 ++++++++
gcc/testsuite/gcc.target/aarch64/vld1-vst1_1.c | 1 +
gcc/testsuite/gcc.target/aarch64/vld1_lane.c | 29 +++++++++++++-------------
3 files changed, 24 insertions(+), 15 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from 236ea32 2015-07-29 Richard Biener <rguenther(a)suse.de>
new 042f02d [AArch64 Testsuite] vld1-vst1_1.c: Add missing float32x4_t case
new 1ee54bd [AArch64 Testsuite] vld1_lane.c: Remove unused test data
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
gcc/testsuite/ChangeLog | 9 ++++++++
gcc/testsuite/gcc.target/aarch64/vld1-vst1_1.c | 1 +
gcc/testsuite/gcc.target/aarch64/vld1_lane.c | 29 +++++++++++++-------------
3 files changed, 24 insertions(+), 15 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.